Bug 622537 - yum-plugin-keys keys-info not working for me
yum-plugin-keys keys-info not working for me
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 12:42 EDT by Guillermo Gómez
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 09:19:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillermo Gómez 2010-08-09 12:42:03 EDT
Description of problem:

Got an error output.

Version-Release number of selected component (if applicable):

yum-3.2.28-1.fc13.noarch
yum-plugin-keys-1.1.28-1.fc13.noarch

How reproducible: Always

Steps to Reproduce:
1. Pick a gpg key id 
# yum keys
2. Try get info about it
# yum keys-info gpg-key-id
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 113, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 396, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/lib/yum-plugins/keys.py", line 184, in doCommand
    self.show_key(base, key)
  File "/usr/lib/yum-plugins/keys.py", line 247, in show_key
    gpg_cert.version, gpg_cert.user_id,
AttributeError: 'list' object has no attribute 'version'



Expected results:


Additional info:
Comment 1 Bug Zapper 2011-06-01 07:48:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Guillermo Gómez 2011-06-01 09:19:38 EDT
Solved in actual version.

# yum keys-info 4ebfc273-48b5dbf3
Loaded plugins: aliases, changelog, keys, list-data, presto, refresh-packagekit
Type       : GPG
Rpm Key ID : 4ebfc273-48b5dbf3
Key owner  : Fedora (10) 
Key email  : fedora@fedoraproject.org
Repo       : installed
Created    : Wed Aug 27 18:27:55 2008
Version    : PGP Public Key Certificate v4
Primary ID : Fedora (10) <fedora@fedoraproject.org>
Algorithm  : DSA (Digital Signature Standard)
Fingerprint: 61a8abe091ff9fbbf4b07709bf226fcc4ebfc273
Key ID     : bf226fcc4ebfc273

# rpm -q yum-plugin-keys
yum-plugin-keys-1.1.28-1.fc13.noarch

# rpm -q yum
yum-3.2.28-5.fc13.noarch

Note You need to log in before you can comment on or make changes to this bug.